Foxit PDF SDK

Public Member Functions | Properties | List of all members
foxit.pdf.CustomEncryptData Class Reference

Inherits SystemIDisposable.

## Public Member Functions
| CustomEncryptData (bool is_encrypt_metadata, string filter, string sub_filter)
| Constructor, with parameters. More...
| CustomEncryptData ()
| Constructor.
| CustomEncryptData (CustomEncryptData other)
| Constructor, with another custom encrypt data object. More...
void | Set (bool is_encrypt_metadata, string filter, string sub_filter)
| Set value. More...

## Properties
string | filter`[get, set]`
| The filter name of a custom security callback object. It should not be an empty string.
bool | is_encrypt_metadata`[get, set]`
| A boolean value to decide whether to encrypt metadata or not. true means to encrypt metadata, and false means not to encrypt metadata.
string | sub_filter`[get, set]`
| The sub filter name that specifies the syntax of the encryption dictionary contents. It should not be an empty string.

## Detailed Description

This class represents some data used for class CustomSecurityHandler .

## Constructor & Destructor Documentation

## ◆ CustomEncryptData() [1/2]

foxit.pdf.CustomEncryptData.CustomEncryptData | ( | bool | is_encrypt_metadata,
|  | string | filter,
|  | string | sub_filter
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | is_encrypt_metadata | true means to encrypt metadata, and false means not to encrypt metadata.
  [in] | filter | The filter name of a custom security callback object. It should not be an empty string.
  [in] | sub_filter | The sub filter name that specifies the syntax of the encryption dictionary contents. It should not be an empty string.

## ◆ CustomEncryptData() [2/2]

foxit.pdf.CustomEncryptData.CustomEncryptData | ( | CustomEncryptData | other | ) |
| inline

Constructor, with another custom encrypt data object.

Parameters

  [in] | other | Another custom encrypt data object.

## Member Function Documentation

## ◆ Set()

void foxit.pdf.CustomEncryptData.Set | ( | bool | is_encrypt_metadata,
|  | string | filter,
|  | string | sub_filter
| ) |  |
| inline

Set value.

Parameters

  [in] | is_encrypt_metadata | true means to encrypt metadata, and false means not to encrypt metadata.
  [in] | filter | The filter name of a custom security callback object. It should not be an empty string.
  [in] | sub_filter | The sub filter name that specifies the syntax of the encryption dictionary contents. It should not be an empty string.

Returns
  None.